Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 322367 - Bring back the Firefox Plush Toy
: Bring back the Firefox Plush Toy
Product: Websites
Classification: Other
Component: (show other bugs)
: unspecified
: All All
: -- normal with 151 votes (vote)
: ---
Assigned To: Julien G
Depends on:
  Show dependency treegraph
Reported: 2006-01-04 09:18 PST by Marcia Knous [:marcia - use ni]
Modified: 2016-07-30 15:31 PDT (History)
53 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Screenshot of design available on (179.01 KB, patch)
2015-11-10 05:23 PST, Julien G
no flags Details | Diff | Splinter Review

Description Marcia Knous [:marcia - use ni] 2006-01-04 09:18:45 PST
I am opening this bug because I have been getting a pretty steady stream of emails from individuals who want us to bring back the plush toy as a Mozilla Store item.

So if you feel strongly about this, please vote for this bug. I will tally up the votes and determine if the volume is significant enough to warrant bringing this item back.
Comment 1 Nicholas Stanosheck 2006-01-04 17:13:07 PST
Please bring back the Firefox plush and add a Thunderbird plush too!
Comment 2 Charl van Niekerk 2006-01-05 01:17:36 PST
The Firefox plush is the cutest thing in the entire store as far as I'm concerned. Please bring it back, and if possible, add a Thunderbird plush too!!!
Comment 3 Mike 2006-01-06 01:28:26 PST
I was planning on purchasing this toy, and to my dismay it was no longer in the store as I went to add it in my cart the other day.  I agree a thunderbird plush shall also be made.
Comment 4 John Flynn 2006-01-06 09:41:39 PST
I managed to buy one right before it vanished from the store, but would still like to see it return; others should have the chance to own this adorable plushie as well!
Comment 5 Jeffrey C. Jacobs 2006-01-06 11:30:56 PST
I never got a chance to buy it.  Every time I click the link to the store -- which features the famous Firefox Plush Toy, I can't find it in the store.  I mean EVERY time in the last year!

I LOVE XIAO SHUNGMAOs!  They are the Bear-Cat's Meow!  The Lesser Panda is still a Panda and Firefox is cause for Pandemonium for this lovely plush toy Xiao Shung-Mao Lesser Panda Firefox!

Please don't make me pay $500 on eBay!
Comment 6 willy 2006-01-06 16:49:31 PST
I want the Firefox plush!
Comment 7 Grant Taylor 2006-01-07 10:29:28 PST
please bring back the plush toy!!
Comment 8 xrodeo1x 2006-01-08 16:37:35 PST
Please bring this item back. 
Comment 9 Robin Monks 2006-01-10 09:23:44 PST
I'll vote too :)

The will of the people...

Oh, and don't forget, you can use up to 10 votes on a single bug :-)
Comment 10 John Flynn 2006-01-12 07:48:31 PST

The power of cute compels you.
The power of cute compels you.
The power of cute compels you.


(Wah is another name for the red panda. Named that by explorers because that's a sound they make.)

Bring it back! Please! Same supplier, too; I've seen other Wah plushies and they're nowhere near as cute!

Comment 11 bulk88 2006-01-23 15:35:49 PST
I want my fox toy!!!!
Comment 12 S. Maguire 2006-02-07 11:01:09 PST
I opened an account to vote for this.  I only went to the store to look for the plush toy, and it was gone. :(  Bring back the plush panda!
Comment 13 Alan Sneath 2006-02-07 11:45:16 PST
I'm only hoping that if this vote succeeds then the plush toy arrives into the international store too.  I spent ages waiting for the European store to open as the shipping charges from US store looked a bit pricey, then when it does, both stores have stopped selling it :(
Comment 14 Christopher Foundas 2006-02-12 08:12:36 PST
Heh, I was logging on in hopes of getting one for my girlfriend, (you know, to help remind her why she shouldn't click on the blue e) only to discover it had been discontinued. Please bring back the firefox plush toy! 

Thank you! 
Comment 15 Andrew 2006-02-14 02:46:28 PST
I have one but I want to get another one, they would have been great to have tons of these to use for the Firefox tv ad competition, I just read about that and went to the store to buy a new one to use in an ad I was going to usbmit since mine is sort of dirty. I didnt see them for sale and I think you really need to get some more!
Comment 16 2006-02-16 10:01:36 PST
Hi Marcia,

please bring the plush toy back, and make it available in the international store. I'd like to buy one but did not have the chance so far. 

Comment 17 Mohammad 2006-03-16 09:44:16 PST
I was really looking forward to getting one, now that I was going to they're gone... :(
Comment 18 Chris 2006-04-03 00:12:20 PDT
I really wanted to buy one, and I'm glad I found a way to send that want to the right people.
Comment 19 crmpicco 2006-04-18 04:52:02 PDT
I have been looking forward to purchasing this toy as a gift for my fiancee?

Now it seems that that all the stock has been sold? Is this the case?

Surely not? Please bring back the legend that is the plush soft toy!!!

I am a sure buyer!!!!!!

(i would also recommend a Thunderbird toy!!!)

Comment 20 Robin Yang 2006-04-26 16:35:28 PDT
i have a truckload of friends who would actually switch over to firefox if there was a cute plush toy involved with it.... :P
Comment 21 bulk88 2006-04-27 03:18:03 PDT
I WANT MY CUTE FIREFOX!!!!!!!!!!!!!!!!
Comment 22 ideinit 2006-04-27 03:36:44 PDT
i... ummm... i meant my girlfriend, take nakkid pictures with it if you guys bring it back ;-)
Comment 23 aimsterfr 2006-05-14 11:05:45 PDT
bring back red panda plush and please create a thunderbird plush too
Comment 24 myhaella5 2006-05-21 03:32:25 PDT
Please bring back that cutie! I was sooo sad to find I can't buy it anymore *cry* *cry*

And Id also like to add my vote to make Thunderbird toy too :) 

Comment 25 QADude 2006-06-21 09:29:56 PDT
I just voted on this bug for the Firefox plush toy, and I would also be interested in a Thunderbird plush toy as well. The Firefox push is very cute, and I was thinking of getting a Firefox for my girlfriend, and of course myself. :)
Comment 26 cirisme 2006-08-08 09:12:34 PDT
Please please bring back the plush toy!
Comment 27 Vince Walters 2006-08-30 17:27:42 PDT
My children use Firefox and are very disappointed that they cannot have their own 'firefoxes'. For the sake of my reputation as a caring parent the toy must return.
Comment 28 christian palacios 2006-08-31 22:08:17 PDT
I want my FirefoX plush! :(
Comment 29 Kevin Stange 2006-09-12 21:31:40 PDT
This bug's been open more than 6 months?  Any chance someone's come up with a resolution? :)

Firefox is an awesome plush toy.  He hangs around our office.  I want one for myself, too.  Please bring him back soon!
Comment 30 John Flynn 2006-09-13 09:41:49 PDT
The Firefox plush toy is from the Leosco Collection; I found an online vendor selling it:

Of course, the sad thing is that buying it from here won't support the Mozilla project! So if you buy it here, donate the price difference ($6!) to the Mozilla corporation so that they get the money they would have gotten had you bought it from them.

Come on, Mozilla people, get this back in the Store. :)

Comment 31 Dietrich Ayala (:dietrich) 2006-09-26 22:24:17 PDT
Another source for Firefox plushies:

They're out of the small ones - only medium and large (mem leak?) sizes available. Props to philor for the link.
Comment 32 Matt 2006-09-27 10:17:05 PDT
Bring it back!!
Comment 33 Matt 2006-09-27 10:17:55 PDT
Bring it back
Comment 34 Bo Driscoll 2006-09-27 10:48:59 PDT
Good link, but I'd be happier to pay a few extra bucks and let the money go to Mozilla to support Firefox. Bring back the Plushie!
Comment 35 Caue Cury 2006-09-28 06:15:15 PDT
i want the firefox plush!!!!
and a thunderbird too!!!!
Comment 36 Rafael Delalibera 2006-09-28 06:18:48 PDT
Please turn it back....
The Firefox plush is the cutest plush i've ever seen!!!!!!!!!
PLEASEEEEEE Turn it back..!
And if is possible make a plush of Thunderbird TOO...
Comment 37 Rafael D 2006-09-28 06:42:28 PDT
Tragam a pelúcia do firefox de volta.
Não tive chances de comprar da última vez.
è uma pelúcia muito bem feita!! Muito interessante!!!
Eu compraria duas, uma para mim e outra para minha namorada!
Talvez seria interessante que vocês fizessem uma pelúcia do Thunderbird também!!!
Comment 38 Mackley 2006-10-11 10:16:03 PDT
I've bought it on summer 2005 ! It's fantastic and cute ! :-)
Comment 39 Ryan Nixon 2006-10-22 21:38:49 PDT
A small story for you:
My name's Ryan, and I live in AK.
My girlfriend and I got together two years ago while we were both going to college together, and fell in love extremely fast. But then a year ago she went to Colorado to finish up her Veterinary degree. It's been **** us since.
Currently right now, to remember me, she has a pillow of mine on her bed that she cuddles with at night. But sadly pillows lose their sentimentality fairly quickly, as they're just simple pillows.
Well her birthday is coming up, November 12th to be exact, and I've been planning to get her a Fx plushie to replace that sorry pillow. But now, lo and behold, I can't get one. you think you could bring it back...for my girlfriend's (and that poor pillow's) sake?
Comment 40 ottomar 2006-11-10 11:50:53 PST
uncomprehensible ! 
Comment 41 Snap 2006-11-11 07:53:03 PST
I think a poll on the Mozilla Store page would get more answers than votes on bugzilla.
Comment 42 Alex 2006-12-03 16:00:58 PST
Please bring the plushie back! It looks cute and I missed out on it. I wanted it so bad at one point I even tried looking in other spots for it!
Comment 43 Cédric Corazza 2007-01-05 16:39:55 PST
If this plush toy is going to rebirth, maybe adding a collar with the Firefox logo medallion or just the Firefox logo medallion would be good, as without that, it's just a cute plush toy and noone outside the project would know what this is about.

-- My two cents
Comment 44 Francisco 2007-01-09 16:41:59 PST
I like it as it was... Vote to get it back!
Comment 45 Majken Connor [:Kensie] 2007-01-11 19:07:14 PST
I propose two are added to the store:

1. The actual red panda like it was (it would be great if $1 from each of these could go to a charity/zoo that support red pandas).

2. The Japanese mascot Foxkeh, which would make a much better plush than trying to make a plush of the logo

Foxkeh links -
Comment 46 Johan Cwiklinski 2007-02-26 06:03:40 PST
I also vote to get it back :)
Comment 47 Brett McCoy 2007-03-29 10:38:32 PDT
yes yes yes! Please bring it back!
Comment 48 Margaret M. Phillips 2007-04-15 05:17:42 PDT
(In reply to comment #0)
> I am opening this bug because I have been getting a pretty steady stream of
> emails from individuals who want us to bring back the plush toy as a Mozilla
> Store item.
> So if you feel strongly about this, please vote for this bug. I will tally up
> the votes and determine if the volume is significant enough to warrant bringing
> this item back.

I felt strongly enough about this to e-mail "" last year:  
A friend in Germany got me to switch to Firefox & I'm quite happy with it.  He also said to support Firefox buy buying stuff... and mentioned a Firefox plushie (a red panda stuffed toy) ... but I don't see one at the site.  

I think you should have two Firefox toys:  
an adorable stuffed toy suitable for delighting small children & *ahem* impressionable females, and  
a mini-Firefox plushie which would sit on top of a monitor (like the Lucky Kitties for sale at Japanese stores & Anime conventions).  

For the power of cute, as it relates to the Red Panda, I refer you to:  
Comment 49 Myk Melez [:myk] [@mykmelez] 2007-04-30 13:18:02 PDT
Yet another source for these creatures:
Comment 50 Esteban 2007-05-18 16:42:42 PDT
Comment 51 kathy 2007-06-16 17:53:18 PDT
I am in favor of the plush fox ,as well as ones for all the mozilla products.  Some of the computer geeks are "girlie" types who adore our computers with stuff like that.
Comment 52 Matthew 2007-07-05 04:36:31 PDT
(In reply to comment #51)
> I am in favor of the plush fox ,as well as ones for all the mozilla products. 
> Some of the computer geeks are "girlie" types who adore our computers with
> stuff like that.

I agree with you.
I liek plush toys and stuff, and place a few around my computer, but I'd rather have something that is related to my computer.
Comment 53 Ian Lesperance 2007-08-16 17:28:37 PDT
I have had a saved eBay search for over a year, but no luck.  This needs to be brought back!
Comment 54 Rey Fox 2007-08-16 17:59:21 PDT
I must have these plush toys for my computer!
Comment 55 Jeremy Conley 2007-08-16 22:06:23 PDT
Please bring the plush toy back!
Comment 56 Bryan Hughes 2007-08-17 09:13:21 PDT
I would love a plush fox as well!
Comment 57 roseman 2007-08-17 15:58:50 PDT
Plush is cuuuuute! Please bring them back. 
Might as well sell the stuff people want :) 
Comment 58 heather 2007-08-18 18:06:46 PDT
it is teh cut3s+! 
Comment 59 seeligd 2007-08-21 23:48:46 PDT
please bring it back! i've been trying to buy one for at least a year now... don't want to buy it somewhere else. want to support the fox!
Comment 60 Andy 2007-08-31 07:15:53 PDT
To be real honest, I was straight-up SHOCKED, and indeed almost sickened when I found out that you cannot buy a plush firefox anymore.  Why on earth would you remove such an adorable item from your product lineup?  What is the deal here?

If it costs too much to make and there aren't enough orders, then cry me a river...JUST CHARGE MORE.  

WE WANT THE PLUSH FIREFOX!!!  I would also like to second something I read earlier in these comments...make a plush Thunderbird too.  You should also consider making a plush bug for BugZilla too.

Finally, if you don't want to bring back the plush firefox, then please post contact information for the manufacturer so that people who REALLY want one can still custom order one.
Comment 61 John R. Moser 2007-10-05 07:12:05 PDT
I want the plush and the messenger bag.  The girls go nuts over the plushy and just kinda follow you around... ;)

It would look cute poking its head out of the bag...
Comment 62 John R. Moser 2007-10-05 11:36:20 PDT too cute!
Comment 63 Justin Scott [:fligtar] 2007-10-11 18:26:22 PDT
There's a new page to vote for the next item in the Mozilla Store, so check it out to vote for a new plush toy!
Comment 64 Majken Connor [:Kensie] 2007-10-11 19:12:43 PDT
is it going to be a red panda, or something made of the logo? Maybe someone can clarify in the poll?
Comment 65 John Slater 2007-10-18 14:48:29 PDT
Poll results for all you plush red panda fans:
Comment 66 John Slater 2008-02-05 14:01:43 PST
The plushies are now available in the North American Mozilla Store!

They should be in the International Store in about two weeks, fyi. More at

Comment 67 John Slater 2008-02-05 14:02:35 PST
The plushies are now available in the North American Mozilla Store!

They should be in the International Store in about two weeks, fyi. More at

Comment 68 Gabriel Chadwick 2008-02-05 16:35:09 PST
IMVHO this is now fixed !
Comment 69 Henrik Skupin (:whimboo) 2008-03-03 04:27:19 PST
Verified with North America Store and International Store.
Comment 70 Mat Brennan 2008-05-25 23:41:53 PDT <-- Doesn't seem to be working :(

What happened?
Comment 71 David Rolnitzky 2008-05-26 09:56:15 PDT
There are no external links pointing to this product page.  We are working on adding these to inventory and then will link to that product page again from the left nav and a homepage promo.
Comment 72 Alison 2009-11-08 06:51:24 PST
I have seen the Foxkeh Mozilla Firefox plush doll and I wish to have that one over the one on the site. the Foxkeh one is super cute and I know kids all over the world would love it. Please bring that one back!
Comment 73 Landpaddle 2014-02-26 07:50:42 PST
While originally verified fixed, the bug should remain open to track interest from users in this new decade.

I know many people personally who would pay for a Firefox Foxkeh plushie. In addition, an Ars Technica comment thread has been glowing with interest from simply the thumbnail of a Firefox plushie:

I can understand the expense of developing such, but 10$+ per item seems fair for a geek-favorite.
Comment 74 Arturo Martínez [:ThePhoenixBird] 2014-02-27 13:46:38 PST
@John im reopening the bug since the plushies are not avaliable any more :(

We want Foxkeh!!!
Comment 75 Kohei Yoshino [:kohei] 2014-02-27 13:57:24 PST
Foxkeh is different from the Firefox Plush Toy discussed here. See Bug 977576.
Comment 76 Arturo Martínez [:ThePhoenixBird] 2014-02-27 14:02:01 PST
Thanks Kohei!
Comment 77 svincent 2015-07-31 10:53:48 PDT
I'd love a Firefox plush toy :D
Comment 78 Julien G 2015-11-10 05:23:44 PST
Created attachment 8685427 [details] [diff] [review]
Screenshot of design available on

This should be enough to patch this horrible bug.
Comment 79 Luna Jernberg 2015-12-08 05:48:13 PST
I just got one in Orlando :)
Comment 80 John Brooks 2015-12-26 18:57:49 PST
It's not fixed any longer, as it appears the plushies are no longer available on the Gear site :o
Comment 81 Jonathan Chan [:jyc] 2016-07-29 16:40:18 PDT Comment hidden (advocacy)
Comment 82 lezed1 2016-07-30 15:06:40 PDT Comment hidden (advocacy)
Comment 83 Kohei Yoshino [:kohei] 2016-07-30 15:31:45 PDT
The gear store has been shut down, so changing the resolution here.

Note You need to log in before you can comment on or make changes to this bug.